.upperbody {
    width: 85%;
    margin:auto;
    margin-top: 5%;
    margin-bottom: 2%;
    padding: 2%;
    padding-bottom: 5%;

    box-shadow: 0 0 8px rgba(0,0,0,0.3);
    -moz-box-shadow: 0 0 8px rgba(0,0,0,0.3);
    -webkit-box-shadow: 0 0 8px rgba(0,0,0,0.3);
    -o-box-shadow: 0 0 8px rgba(0,0,0,0.3);
}

.menulist {
    width: 65%;
    margin:auto;
    margin-top: 2%;
}

.menuitem {
    float: left;
    width: 90%;
    padding-top: 2%;
    padding-bottom: 2%;
    padding-left: 2%;
    margin: 0;
    min-height: 26px;
}

.menudelete {
    width: 5%;
    float: left;
    text-align: center;
    min-width: 10px;
    padding-top: 2.3%;
    padding-bottom: 2.3%;
    color: gray;

}

.menubuttoncontainer {
    text-align: center;
}

.menuitem:hover {
    background: lightgray;
    cursor: pointer;
}

.menudelete:hover {
    background: lightgray;
    cursor: pointer;
}

.deletebtn {
    width: 50%;
}

.search {
    width: 100%;
    margin: auto;
    text-align: center;
}

div.operacija {
    width: 120px;
    min-width: 120px;
    margin: auto;
    text-align: center;
}

.qrkodovi {
    width: 100%;
    text-align: center;
    display: flex;
    flex-wrap: wrap;
}

.stats1 {
    box-shadow: 0 0 8px rgba(0,0,0,0.3);
    -moz-box-shadow: 0 0 8px rgba(0,0,0,0.3);
    -webkit-box-shadow: 0 0 8px rgba(0,0,0,0.3);
    -o-box-shadow: 0 0 8px rgba(0,0,0,0.3);
    width: 15%;
    padding: 10px;
    margin-left: 30%;
    float: left;
    margin-bottom: 20px;
}

.stats2 {
    box-shadow: 0 0 8px rgba(0,0,0,0.3);
    -moz-box-shadow: 0 0 8px rgba(0,0,0,0.3);
    -webkit-box-shadow: 0 0 8px rgba(0,0,0,0.3);
    -o-box-shadow: 0 0 8px rgba(0,0,0,0.3);
    width: 15%;
    padding: 10px;
    margin-left: 5%;
    float: left;
    margin-bottom: 20px;
}

.lokalinfo {
    display: flex;
    width: 60%;
    margin: auto;
}

@media screen and (max-width: 1000px) {
    .lokalinfo {
        flex-direction: column;
        width: 100%;
    }
}

@media screen and (max-width: 600px) {
    .stats1 {
        margin-left: 10%;
        width: 30%;
    }
    .stats2 {
        margin-left: 10%;
        width: 30%;
    }

}

.menuadd {
    display: flex;
}

.proizvodcontainer{
    border: 1px solid lightgray;
    width: 300px;
    text-align: center;
    padding-bottom: 15px;
    margin: auto;
    margin-bottom: 15px;
}

.eachcategory {
    width: 75%;
    margin: auto;
    display: flex;
    flex-flow: row wrap;
    align-content: space-between;
    justify-content: space-between;
}

.eachcategory::before, .eachcategory::after {
  content: '';
  width: 100%;
  order: 1;
}

.centerbuttons {
    text-align: center;
    display: flex;
    flex-direction: column;
}

.centerbuttonsworkinghours {
    text-align: center;
    display: flex;
    flex-direction: row;
    margin: 0;
}

.icons {
    display: flex;
    float: right;
}

main {
  height: 100vh;
  overflow-y: scroll;
  scroll-snap-type: y mandatory;
}

main > section {
  height: 100vh;
  display: flex;
  scroll-snap-align: start;
  scroll-snap-stop: always;
}

body.snapping {
  overflow: hidden;
}

.searchcontainer {
    position: absolute;
    left: 50%;
    top: 30%;
    background-color: white;
    padding: 30px;
    width: 30%;
    border-radius: 15px;
    height: 25%;
    overflow: hidden;
}

@media screen and (max-width: 1080px) {
    .searchcontainer {
        top: 45%;
        margin-left: auto;
        margin-right: auto;
        left: 0;
        right: 0;
        text-align: center;
        width: 40%;
        padding: 30px;
    }
}

@media screen and (max-width: 650px) {
    .searchcontainer {
        top: 40%;
        margin-left: auto;
        margin-right: auto;
        left: 0;
        right: 0;
        text-align: center;
        width: 75%;
        padding: 15px;
        height: 32%;
    }
}

.imageslideshow {
    width: 40%;
    text-align: center;
    margin-right: 100px;
    margin-top: 50px;
}

.announcement {
    width: 80%;
    margin: auto;
    padding: 15px;
    font-weight: bold;
    text-align: center;
    border-top: 1px solid lightgray;
    border-bottom: 1px solid lightgray;
    margin-bottom: 15px;
}